Plug 'dense-analysis/ale', {
    \ 'tag': 'v3.0.0',
    \ 'for': [
    \   'bash',
    \   'css',
    \   'dockerfile',
    \   'go',
    \   'graphql',
    \   'html',
    \   'javascript',
    \   'json',
    \   'less',
    \   'make',
    \   'markdown',
    \   'php',
    \   'python',
    \   'ruby',
    \   'rust',
    \   'scss',
    \   'sh',
    \   'sql',
    \   'tcl',
    \   'toml',
    \   'typescript',
    \   'vim',
    \   'vue',
    \   'xml',
    \   'yaml'
    \ ]
\ }

let g:ale_sign_error = '→'
let g:ale_sign_warning = '‽'
let g:ale_echo_msg_format = '%s [%severity%] [%linter%]'
let g:ale_set_loclist = 0
let g:ale_set_quickfix = 1

Plug 'prettier/vim-prettier', {
    \ 'branch': 'release/1.x',
    \ 'do': 'npm install',
    \ 'for': [
    \   'css',
    \   'graphql',
    \   'html',
    \   'javascript',
    \   'json',
    \   'less',
    \   'markdown',
    \   'package',
    \   'php',
    \   'pug',
    \   'python',
    \   'ruby',
    \   'scss',
    \   'sh',
    \   'swift',
    \   'toml',
    \   'typescript',
    \   'vue',
    \   'xml',
    \   'yaml'
    \ ]
\ }
